<?php
require_once 'core/sys.php';
include 'core/func_war.php';
include 'core/func_time.php';
reg();
head('Заражение');
$pers_id = int($_GET['ank']);
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$pers_id."'"));
	if(!$ank){
	echo '<div id="error">Такого пользователя не существует</div>';
	foot();
	exit;
	}
	if($user['id']==$pers_id){
	header('Location: index.php');
	}
	
if($ank['virus_time']+60*60*24 > time()){
$zaraz_time = $ank['virus_time']+60*60*24-time();
echo '<div id="error">Сегодня этого игрока уже заражали.<br>
Следущее заражение через: '.Sec2Time($zaraz_time).'</div>';
foot();
exit;
}
if($ank['virus']>0){
echo '<div id="error">Этот пользователь уже заражен</div>';
foot();
exit;

}
if($ank['level']<2){
echo '<div id="error">Заражать малышей плохо.Игрока можно заразить 2-го уровня и старше!</div>';
foot();
exit;
}
$total = mysql_num_rows(mysql_query("SELECT inventory_user.*,inventory.* FROM inventory
        LEFT JOIN inventory_user ON inventory.id=inventory_user.invent_id WHERE inventory_user.user_id='".$user['id']."' AND `virus`>0 AND `kol`>0"));
if($total==0){
echo '<div class="row">У Вас нет Вирусов.Зайдите в <a href="shop.php">магазин</a> чтобы их приобрести</div>';
	foot();
	exit;
}
$virus_u = mysql_query("SELECT inventory_user.*,inventory.* FROM inventory
        LEFT JOIN inventory_user ON inventory.id=inventory_user.invent_id WHERE inventory_user.user_id='".$user['id']."' AND `virus`>0 AND `kol`>0");
if(!$virus_u){
echo '<div class="row">У Вас нет Вирусов.Зайдите в <a href="shop.php">магазин</a> чтобы их приобрести</div>';
	foot();
	exit;
}
if(isset($_POST['vir'])){
$vir = int($_POST['vir']);
$q_vir = mysql_query("SELECT * FROM `inventory` WHERE `id`='".$vir."' LIMIT 1");
	if(!$q_vir){
	echo '<div id="error">Такого вируса нет</div>';
	foot();
	exit;
	}
$nagrada = 2*$ank['level'];
echo '<div class="row">Заражение успешно! За это вы получаете <img src="img/stat/oput.png" alt=""> '.$nagrada.'</div>';
if($user['kvest_otrav']==1 and $user['level']>4){
mysql_query("UPDATE `users` SET `kvest_otrav_us`=`kvest_otrav_us`+1 WHERE `id`='".$user['id']."'");
}
mysql_query("UPDATE `users` SET `oput`=`oput`+".$nagrada." WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `inventory_user` SET `kol`=`kol`-1 WHERE `invent_id`='".$vir."' AND `user_id`='".$user['id']."'");
mysql_query("UPDATE `users` SET `virus`='".$vir."',`virus_time`='".time()."',`journal`=`journal`+1 WHERE `id`='".$ank['id']."'");
mysql_query("INSERT INTO `journal` SET 
`user_id`='".$ank['id']."',
`text`='<a href=\"pers.php?ank=".$user['id']."\"><b>".$user['login']."</b></a> заразил Вас.Ваша регенерация здоровья замедлилась.',
`time`='".time()."'");
}else{
echo '<div class="row"><form action="virus.php?ank='.$ank['id'].'" method="post">';
while($row_vir = mysql_fetch_assoc($virus_u)){
##virr = mysql_fetch_assoc(mysql_query("SELECT `name`,`virus`,`id`,`img` FROM `inventory` WHERE  '".$row_vir['invent_id']."'AND `virus`>0"));
echo '<img src="'.$row_vir['img'].'" alt=""><input type="radio" name="vir" value="'.$row_vir['invent_id'].'"> '.$row_vir['name'].'<br>
Реген. HP -'.$row_vir['virus'].'<br><br>';

}
echo '<input type="submit" value="заразить"></form></div>';
	}
foot();
?>